Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /auth/login

Mit diesem Endpunkt meldet sich ein Nutzer per E-Mail und Passwort an. Bei erfolgreicher Authentifizierung werden Access- und Refresh-Token für nachfolgende API-Anfragen zurückgegeben.

Anfragetext

email
string
erforderlich
E-Mail-Adresse des Nutzers.
password
string
erforderlich
Passwort des Kontos.

Antwort

success
boolean
Gibt an, ob die Anmeldung erfolgreich war.
message
string
Für Menschen lesbare Statusmeldung.
user
object
Objekt mit den Nutzerdaten.
tokens
object
Objekt mit den Authentifizierungs-Tokens.
curl -X POST https://api.llmgenerator.com/api/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{
        "email": "user@example.com",
        "password": "securePassword123"
      }'
{
  "success": true,
  "message": "Login successful",
  "user": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "user@example.com",
    "name": "John Doe",
    "emailVerified": true,
    "updatedAt": "2026-01-29T12:00:00.000Z"
  },
  "tokens": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "expiresIn": 900,
    "tokenType": "Bearer"
  }
}